# chdir

changes Scilab current directory

# cd

changes Scilab current directory

## Calling Sequence

    b = chdir(path)
                realpath = cd(path)
                cd path

## Arguments

b

  a boolean `%t` if `chdir` operation is ok

path

  a character string

realpath

  a character string, the real path name after pathname conversion (see below)

## Description

Change the current Scilab directory to those given by `path`.

Note that path conversion is performed and for example `SCI/modules/core/macros` is a valid pattern for both Unix and Windows. If `path` is empty change to "home" directory.

## Examples

    chdir(TMPDIR);
    pwd
    cd
    cd SCI

## See Also

- pwd
- SCI
- SCIHOME
- TMPDIR